import { AmplifyIOHost } from '@aws-amplify/plugin-types';
import { Printer } from '../printer/printer.js';
/**
 * Create a singleton for the AmplifyIOEventsBridge. There should
 * exist just one instance and used by all consumers.
 */
export declare class AmplifyIOEventsBridgeSingletonFactory {
    private readonly printer;
    private static instance;
    /**
     * Constructor for AmplifyIOEventsBridgeSingletonFactory. Takes a printer
     * instance to be used for logging.
     * @param printer a printer instance to be used for logging
     */
    constructor(printer?: Printer);
    /**
     * Returns a singleton instance of a AmplifyIOEventsBridge
     */
    getInstance: () => AmplifyIOHost;
}
//# sourceMappingURL=amplify_io_events_bridge_singleton_factory.d.ts.map