/// <reference types="node" resolution-mode="require"/>
import { type PackageManagerController } from '@aws-amplify/plugin-types';
import { Printer } from '../printer/printer.js';
/**
 * PackageManagerControllerFactory is a factory for an abstraction around package manager commands that are needed to initialize a project and install dependencies
 */
export declare class PackageManagerControllerFactory {
    private readonly cwd;
    private readonly printer;
    private readonly platform;
    /**
     * constructor
     * @param cwd - the root directory of the project
     */
    constructor(cwd?: string, printer?: Printer, platform?: NodeJS.Platform);
    /**
     * Returns a singleton instance of a package manager controller derived from reading the npm_config_user_agent environment variable.
     */
    getPackageManagerController(): PackageManagerController;
}
//# sourceMappingURL=package_manager_controller_factory.d.ts.map